Subject: RE: [DNA] draft-koodli-dna-fmip-00.txt

From: Junghoon Jee <[email-masked]>
Date: Mon, 18 Jul 2005 16:16:03 -0700

Rajeev,
 
> For both predictive and reactive modes, HI/HAck can be useful 
> for access control. NAR can forward packets for the MN 
> without forcing access control, through HI/HAck.

Are you saying about context transfer by HI/HAck ?

Regards,
Junghoon

> (If it is not clear, FMIP-DNA is applicable when DNA+oDAD is 
> available,
>   and no neighborhood information is available for FMIP)
> 
> -Rajeev
> 
> 
> 
> Syam Madanapalli wrote:
> 
> > Hello Junghoon,
> > 
> > Thanks for reviewing the draft.
> > 
> >>
> >> Hi Syam,
> >> It's an interesting work.
> >> After reviewing this I-D, I've come up with a following question.
> >>
> >> About the role of HI/HACK in this reactive FMIPv6-DNA :
> >> I thought that these messages are required to confirm the MN's 
> >> prospective NCoA in predictive mode.
> >> In the FMIPv6-DNA, MN configures the NCoA by optimistic DAD in the 
> >> reactive mode, so why do those messages needed to be 
> transferred and 
> >> what's their roles ?
> >> Just to prepare for future optional behavior the same as 
> specified in 
> >> the draft-ietf-mipshop-fast-mipv6-03 ?
> >> I guess that my question may also apply to the reactive mode of 
> >> draft-ietf-mipshop-fast-mipv6-03.
> > 
> > 
> > As you mentioned, currently there is no new use of HI/HACK 
> other than
> > what is mentioned in FMIPv6 RFC.  That is, NAR can make use of the
> > knowledge that its trusted peer (i.e., PAR) has a trust 
> relationship 
> > with the
> > MN.
> > 
> > 
> >>
> >> Regards,
> >> Junghoon
> >>
> > 
>